{% extends "base.html.twig" %}
{% block body %}
<style>
    .card-body{
        background-color: darkgrey;
        color: white;
    }
    img{
        object-fit: contain;
    }
</style>

<div class="container-fluid">
    <div class="row">
        {% for article in articles %}
        <div class="col-sm-3">
            <div class="card" style="width: 25rem; margin-top:1rem;">
                <img src="{{ article.image }}" class="card-img-top" style="height:20rem;" alt="">
                <div class="card-body">
                    <h5 class="card-title">{{ article.titre[:25] }}...</h5>
                    <p style="width: 22rem; height: 4rem" class="card-text">{{ article.content [:100]}}...</p>
                    <p style="width: 22rem; height: 4rem" class="card-text"><small>{{ article.date | date ('d/m/Y') }} à {{ article.date | date('H:i')}}</small></p>
                    <a href="{{ path('show-article', {'id': article.id}) }}" class="btn btn-primary">see more ...</a>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>

{% endblock %}